Index: doc/user/schedule.t
===================================================================
--- doc/user/schedule.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/schedule.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -167,6 +167,7 @@
 The final mechanism for altering the RTEMS scheduling
 algorithm is called manual round-robin.  Manual round-robin is
-invoked by using the task_wake_after directive with a time
-interval of @code{@value{RPREFIX}YIELD_PROCESSOR}.  This allows a task to give up the
+invoked by using the @code{@value{DIRPREFIX}task_wake_after}
+directive with a time interval of @code{@value{RPREFIX}YIELD_PROCESSOR}.  
+This allows a task to give up the
 processor and be immediately returned to the ready chain at the
 end of its priority group.  If no other tasks of the same
@@ -196,6 +197,7 @@
 
 Tasks that utilize a numeric coprocessor and are
-created with the @code{@value{RPREFIX}FLOATING_POINT} attribute require additional
-operations during a context switch.  These additional operations
+created with the @code{@value{RPREFIX}FLOATING_POINT} attribute
+require additional operations during a context switch.  These
+additional operations
 are necessary to save and restore the floating point context of
 @code{@value{RPREFIX}FLOATING_POINT} tasks.  To avoid unnecessary save and restore
@@ -289,15 +291,17 @@
 
 A task occupies the non-existent state before a
-task_create has been issued on its behalf.  A task enters the
+@code{@value{DIRPREFIX}task_create} has been
+issued on its behalf.  A task enters the
 non-existent state from any other state in the system when it is
-deleted with the task_delete directive.  While a task occupies
+deleted with the @code{@value{DIRPREFIX}task_delete}
+directive.  While a task occupies
 this state it does not have a TCB or a task ID assigned to it;
 therefore, no other tasks in the system may reference this task.
 
-When a task is created via the task_create directive
+When a task is created via the @code{@value{DIRPREFIX}task_create} directive
 it enters the dormant state.  This state is not entered through
 any other means.  Although the task exists in the system, it
 cannot actively compete for system resources.  It will remain in
-the dormant state until it is started via the task_start
+the dormant state until it is started via the @code{@value{DIRPREFIX}task_start}
 directive, at which time it enters the ready state.  The task is
 now permitted to be scheduled for the processor and to compete
@@ -309,34 +313,34 @@
 blocks itself through voluntary operations that cause the task
 to wait.  The only way a task can block a task other than itself
-is with the task_suspend directive.  A task enters the blocked
-state due to any of the following conditions:
+is with the @code{@value{DIRPREFIX}task_suspend} directive.  
+A task enters the blocked state due to any of the following conditions:
 
 @itemize @bullet
-@item A task issues a task_suspend directive which blocks
-either itself or another task in the system.
-
-@item The running task issues a message_queue_receive
+@item A task issues a @code{@value{DIRPREFIX}task_suspend} directive
+which blocks either itself or another task in the system.
+
+@item The running task issues a @code{@value{DIRPREFIX}message_queue_receive}
 directive with the wait option and the message queue is empty.
 
-@item The running task issues an event_receive directive with
-the wait option and the currently pending events do not satisfy
-the request.
-
-@item The running task issues a semaphore_obtain directive
-with the wait option and the requested semaphore is unavailable.
-
-@item The running task issues a task_wake_after directive
-which blocks the task for the given time interval.  If the time
+@item The running task issues an @code{@value{DIRPREFIX}event_receive}
+directive with the wait option and the currently pending events do not
+satisfy the request.
+
+@item The running task issues a @code{@value{DIRPREFIX}semaphore_obtain}
+directive with the wait option and the requested semaphore is unavailable.
+
+@item The running task issues a @code{@value{DIRPREFIX}task_wake_after}
+directive which blocks the task for the given time interval.  If the time
 interval specified is zero, the task yields the processor and
 remains in the ready state.
 
-@item The running task issues a task_wake_when directive which
-blocks the task until the requested date and time arrives.
-
-@item The running task issues a region_get_segment directive
-with the wait option and there is not an available segment large
+@item The running task issues a @code{@value{DIRPREFIX}task_wake_when}
+directive which blocks the task until the requested date and time arrives.
+
+@item The running task issues a @code{@value{DIRPREFIX}region_get_segment}
+directive with the wait option and there is not an available segment large
 enough to satisfy the task's request.
 
-@item The running task issues a rate_monotonic_period
+@item The running task issues a @code{@value{DIRPREFIX}rate_monotonic_period}
 directive and must wait for the specified rate monotonic period
 to conclude.
@@ -357,34 +361,35 @@
 @itemize @bullet
 
-@item A running task issues a task_resume directive for a task
-that is suspended and the task is not blocked waiting on any
-resource.
-
-@item A running task issues a message_queue_send,
-message_queue_broadcast, or a message_queue_urgent directive
+@item A running task issues a @code{@value{DIRPREFIX}task_resume}
+directive for a task that is suspended and the task is not blocked
+waiting on any resource.
+
+@item A running task issues a @code{@value{DIRPREFIX}message_queue_send},
+@code{@value{DIRPREFIX}message_queue_broadcast}, or a
+@code{@value{DIRPREFIX}message_queue_urgent} directive
 which posts a message to the queue on which the blocked task is
 waiting.
 
-@item A running task issues an event_send directive which
-sends an event condition to a task which is blocked waiting on
-that event condition.
-
-@item A running task issues a semaphore_release directive
-which releases the semaphore on which the blocked task is
+@item A running task issues an @code{@value{DIRPREFIX}event_send}
+directive which sends an event condition to a task which is blocked
+waiting on that event condition.
+
+@item A running task issues a @code{@value{DIRPREFIX}semaphore_release}
+directive which releases the semaphore on which the blocked task is
 waiting.
 
 @item A timeout interval expires for a task which was blocked
-by a call to the task_wake_after directive.
+by a call to the @code{@value{DIRPREFIX}task_wake_after} directive.
 
 @item A timeout period expires for a task which blocked by a
-call to the task_wake_when directive.
-
-@item A running task issues a region_return_segment directive
-which releases a segment to the region on which the blocked task
+call to the @code{@value{DIRPREFIX}task_wake_when} directive.
+
+@item A running task issues a @code{@value{DIRPREFIX}region_return_segment}
+directive which releases a segment to the region on which the blocked task
 is waiting and a resulting segment is large enough to satisfy
 the task's request.
 
 @item A rate monotonic period expires for a task which blocked
-by a call to the rate_monotonic_period directive.
+by a call to the @code{@value{DIRPREFIX}rate_monotonic_period} directive.
 
 @item A timeout interval expires for a task which was blocked
@@ -396,6 +401,6 @@
 task is waiting.
 
-@item A running task issues a task_restart directive for the
-blocked task.
+@item A running task issues a @code{@value{DIRPREFIX}task_restart}
+directive for the blocked task.
 
 @item The running task, with its preemption mode enabled, may
Index: doc/user/sem.t
===================================================================
--- doc/user/sem.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/sem.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -54,6 +54,8 @@
 
 A semaphore can be viewed as a protected variable
-whose value can be modified only with the semaphore_create,
-semaphore_obtain, and semaphore_release directives.  RTEMS
+whose value can be modified only with the
+@code{@value{DIRPREFIX}semaphore_create},
+@code{@value{DIRPREFIX}semaphore_obtain}, and
+@code{@value{DIRPREFIX}semaphore_release} directives.  RTEMS
 supports both binary and counting semaphores. A binary semaphore
 is restricted to values of zero or one, while a counting
@@ -66,7 +68,8 @@
 of one to indicate that no task is executing the critical
 section of code.  Upon entry to the critical section, a task
-must issue the semaphore_obtain directive to prevent other tasks
-from entering the critical section.  Upon exit from the critical
-section, the task must issue the semaphore_release directive to
+must issue the @code{@value{DIRPREFIX}semaphore_obtain}
+directive to prevent other tasks from entering the critical section.  
+Upon exit from the critical section, the task must issue the
+@code{@value{DIRPREFIX}semaphore_release} directive to
 allow another task to execute the critical section.
 
@@ -75,18 +78,18 @@
 printers could be administered by a semaphore created with an
 initial count of three.  When a task requires access to one of
-the printers, it issues the semaphore_obtain directive to obtain
-access to a printer.  If a printer is not currently available,
-the task can wait for a printer to become available or return
+the printers, it issues the @code{@value{DIRPREFIX}semaphore_obtain}
+directive to obtain access to a printer.  If a printer is not currently
+available, the task can wait for a printer to become available or return
 immediately.  When the task has completed printing, it should
-issue the semaphore_release directive to allow other tasks
-access to the printer.
+issue the @code{@value{DIRPREFIX}semaphore_release}
+directive to allow other tasks access to the printer.
 
 Task synchronization may be achieved by creating a
 semaphore with an initial count of zero.  One task waits for the
-arrival of another task by issuing a semaphore_obtain directive
-when it reaches a synchronization point.  The other task
-performs a corresponding semaphore_release operation when it
-reaches its synchronization point, thus unblocking the pending
-task.
+arrival of another task by issuing a @code{@value{DIRPREFIX}semaphore_obtain}
+directive when it reaches a synchronization point.  The other task
+performs a corresponding @code{@value{DIRPREFIX}semaphore_release}
+operation when it reaches its synchronization point, thus unblocking
+the pending task.
 
 @ifinfo
@@ -104,8 +107,10 @@
 RTEMS addresses this problem by allowing the task
 holding the binary semaphore to obtain the same binary semaphore
-multiple times in a nested manner.  Each semaphore_obtain must
-be accompanied with a semaphore_release.  The semaphore will
+multiple times in a nested manner.  Each
+@code{@value{DIRPREFIX}semaphore_obtain} must be accompanied with a
+@code{@value{DIRPREFIX}semaphore_release}.  The semaphore will
 only be made available for acquisition by other tasks when the
-outermost semaphore_obtain is matched with a semaphore_release.
+outermost @code{@value{DIRPREFIX}semaphore_obtain} is matched with
+a @code{@value{DIRPREFIX}semaphore_release}.
 
 
@@ -213,14 +218,26 @@
 
 @itemize @bullet
-@item FIFO - tasks wait by FIFO (default)
-@item PRIORITY - tasks wait by priority
-@item BINARY_SEMAPHORE - restrict values to 0 and 1 (default)
-@item COUNTING_SEMAPHORE - no restriction on values
-@item NO_INHERIT_PRIORITY - do not use priority inheritance (default)
-@item INHERIT_PRIORITY - use priority inheritance
-@item PRIORITY_CEILING - use priority ceiling
-@item NO_PRIORITY_CEILING - do not use priority ceiling (default)
-@item LOCAL - local task (default)
-@item GLOBAL - global task
+@item @code{@value{RPREFIX}FIFO} - tasks wait by FIFO (default)
+
+@item @code{@value{RPREFIX}PRIORITY} - tasks wait by priority
+
+@item @code{@value{RPREFIX}BINARY_SEMAPHORE} - restrict values to
+0 and 1 (default)
+
+@item @code{@value{RPREFIX}COUNTING_SEMAPHORE} - no restriction on values
+
+@item @code{@value{RPREFIX}NO_INHERIT_PRIORITY} - do not use priority
+inheritance (default)
+
+@item @code{@value{RPREFIX}INHERIT_PRIORITY} - use priority inheritance
+
+@item @code{@value{RPREFIX}PRIORITY_CEILING} - use priority ceiling
+
+@item @code{@value{RPREFIX}NO_PRIORITY_CEILING} - do not use priority
+ceiling (default)
+
+@item @code{@value{RPREFIX}LOCAL} - local task (default)
+
+@item @code{@value{RPREFIX}GLOBAL} - global task
 @end itemize
 
@@ -231,5 +248,6 @@
 required to appear in the attribute list, although it is a good
 programming practice to specify default attributes.  If all
-defaults are desired, the attribute @code{@value{RPREFIX}DEFAULT_ATTRIBUTES} should be
+defaults are desired, the attribute
+@code{@value{RPREFIX}DEFAULT_ATTRIBUTES} should be
 specified on this call.
 
@@ -237,5 +255,5 @@
 needed to create a local semaphore with the task priority
 waiting queue discipline.  The attribute_set parameter passed to
-the semaphore_create directive could be either
+the @code{@value{DIRPREFIX}semaphore_create} directive could be either
 @code{@value{RPREFIX}PRIORITY} or
 @code{@value{RPREFIX}LOCAL @value{OR} @value{RPREFIX}PRIORITY}.  
@@ -253,5 +271,6 @@
 In general, an option is built by a bitwise OR of the
 desired option components.  The set of valid options for the
-semaphore_obtain directive are listed in the following table:
+@code{@value{DIRPREFIX}semaphore_obtain} directive are listed
+in the following table:
 
 @itemize @bullet
@@ -271,5 +290,6 @@
 This example demonstrates the option parameter needed
 to poll for a semaphore.  The option parameter passed to the
-semaphore_obtain directive should be @code{@value{RPREFIX}NO_WAIT}.
+@code{@value{DIRPREFIX}semaphore_obtain}
+directive should be @code{@value{RPREFIX}NO_WAIT}.
 
 @ifinfo
@@ -292,5 +312,5 @@
 @subsection Creating a Semaphore
 
-The semaphore_create directive creates a binary or
+The @code{@value{DIRPREFIX}semaphore_create} directive creates a binary or
 counting semaphore with a user-specified name as well as an
 initial count.  If a binary semaphore is created with a count of
@@ -318,7 +338,8 @@
 deleted.  The semaphore ID may be obtained by either of two
 methods.  First, as the result of an invocation of the
-semaphore_create directive, the semaphore ID is stored in a user
-provided location.  Second, the semaphore ID may be obtained
-later using the semaphore_ident directive.  The semaphore ID is
+@code{@value{DIRPREFIX}semaphore_create} directive, the
+semaphore ID is stored in a user provided location.  Second,
+the semaphore ID may be obtained later using the
+@code{@value{DIRPREFIX}semaphore_ident} directive.  The semaphore ID is
 used by other semaphore manager directives to access this
 semaphore.
@@ -329,7 +350,7 @@
 @subsection Acquiring a Semaphore
 
-The semaphore_obtain directive is used to acquire the
+The @code{@value{DIRPREFIX}semaphore_obtain} directive is used to acquire the
 specified semaphore.  A simplified version of the
-semaphore_obtain directive can be described as follows:
+@code{@value{DIRPREFIX}semaphore_obtain} directive can be described as follows:
 
 @example
@@ -374,7 +395,7 @@
 @subsection Releasing a Semaphore
 
-The semaphore_release directive is used to release
+The @code{@value{DIRPREFIX}semaphore_release} directive is used to release
 the specified semaphore.  A simplified version of the
-semaphore_release directive can be described as follows:
+@code{@value{DIRPREFIX}semaphore_release} directive can be described as follows:
 
 @example
@@ -389,6 +410,6 @@
 semaphore that uses priority inheritance or priority ceiling and
 the task does not currently hold any other binary semaphores,
-then the task performing the semaphore_release will have its
-priority restored to its normal value.
+then the task performing the @code{@value{DIRPREFIX}semaphore_release}
+will have its priority restored to its normal value.
 
 @ifinfo
@@ -397,5 +418,5 @@
 @subsection Deleting a Semaphore
 
-The semaphore_delete directive removes a semaphore
+The @code{@value{DIRPREFIX}semaphore_delete} directive removes a semaphore
 from the system and frees its control block.  A semaphore can be
 deleted by any local task that knows the semaphore's ID.  As a
@@ -493,14 +514,26 @@
 
 @itemize @bullet
-@item FIFO - tasks wait by FIFO (default)
-@item PRIORITY - tasks wait by priority
-@item BINARY_SEMAPHORE - restrict values to 0 and 1 (default)
-@item COUNTING_SEMAPHORE - no restriction on values
-@item NO_INHERIT_PRIORITY - do not use priority inheritance (default)
-@item INHERIT_PRIORITY - use priority inheritance
-@item PRIORITY_CEILING - use priority ceiling
-@item NO_PRIORITY_CEILING - do not use priority ceiling (default)
-@item LOCAL - local task (default)
-@item GLOBAL - global task
+@item @code{@value{RPREFIX}FIFO} - tasks wait by FIFO (default)
+
+@item @code{@value{RPREFIX}PRIORITY} - tasks wait by priority
+
+@item @code{@value{RPREFIX}BINARY_SEMAPHORE} - restrict values to
+0 and 1 (default)
+
+@item @code{@value{RPREFIX}COUNTING_SEMAPHORE} - no restriction on values
+
+@item @code{@value{RPREFIX}NO_INHERIT_PRIORITY} - do not use priority
+inheritance (default)
+
+@item @code{@value{RPREFIX}INHERIT_PRIORITY} - use priority inheritance
+
+@item @code{@value{RPREFIX}PRIORITY_CEILING} - use priority ceiling
+
+@item @code{@value{RPREFIX}NO_PRIORITY_CEILING} - do not use priority
+ceiling (default)
+
+@item @code{@value{RPREFIX}LOCAL} - local task (default)
+
+@item @code{@value{RPREFIX}GLOBAL} - global task
 @end itemize
 
@@ -632,5 +665,5 @@
 
 The semaphore must reside on the local node, even if
-the semaphore was created with the GLOBAL option.
+the semaphore was created with the @code{@value{RPREFIX}GLOBAL} option.
 
 Proxies, used to represent remote tasks, are
Index: doc/user/signal.t
===================================================================
--- doc/user/signal.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/signal.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -109,7 +109,9 @@
 
 This example demonstrates the signal parameter used
-when sending the signal set consisting of 
-@code{@value{RPREFIX}SIGNAL_6}, @code{@value{RPREFIX}SIGNAL_15}, and @code{@value{RPREFIX}SIGNAL_31}.  
-The signal parameter provided to the signal_send directive should be
+when sending the signal set consisting of
+@code{@value{RPREFIX}SIGNAL_6},
+@code{@value{RPREFIX}SIGNAL_15}, and
+@code{@value{RPREFIX}SIGNAL_31}.  The signal parameter provided
+to the @code{@value{DIRPREFIX}signal_send} directive should be
 @code{@value{RPREFIX}SIGNAL_6 @value{OR} 
 @value{RPREFIX}SIGNAL_15 @value{OR} @value{RPREFIX}SIGNAL_31}.
@@ -162,5 +164,6 @@
 
 This example demonstrates the mode parameter used
-with the signal_catch to establish an ASR which executes at
+with the @code{@value{DIRPREFIX}signal_catch}
+to establish an ASR which executes at
 interrupt level three and is non-preemptible.  The mode should
 be set to
@@ -186,18 +189,18 @@
 @subsection Establishing an ASR
 
-The signal_catch directive establishes an ASR for the
+The @code{@value{DIRPREFIX}signal_catch} directive establishes an ASR for the
 calling task.  The address of the ASR and its execution mode are
 specified to this directive.  The ASR's mode is distinct from
 the task's mode.  For example, the task may allow preemption,
 while that task's ASR may have preemption disabled.  Until a
-task calls signal_catch the first time, its ASR is invalid, and
-no signal sets can be sent to the task.
+task calls @code{@value{DIRPREFIX}signal_catch} the first time,
+its ASR is invalid, and no signal sets can be sent to the task.
 
 A task may invalidate its ASR and discard all pending
-signals by calling signal_catch with a value of NULL for the
-ASR's address.  When a task's ASR is invalid, new signal sets
-sent to this task are discarded.
-
-A task may disable ASR processing (NO_ASR) via the
+signals by calling @code{@value{DIRPREFIX}signal_catch}
+with a value of NULL for the ASR's address.  When a task's
+ASR is invalid, new signal sets sent to this task are discarded.
+
+A task may disable ASR processing (@code{@value{RPREFIX}NO_ASR}) via the
 task_mode directive.  When a task's ASR is disabled, the signals
 sent to it are left pending to be processed later when the ASR
@@ -206,5 +209,6 @@
 Any directive that can be called from a task can also
 be called from an ASR.  A task is only allowed one active ASR.
-Thus, each call to signal_catch replaces the previous one.
+Thus, each call to @code{@value{DIRPREFIX}signal_catch}
+replaces the previous one.
 
 Normally, signal processing is disabled for the ASR's
@@ -217,7 +221,8 @@
 @subsection Sending a Signal Set
 
-The signal_send directive allows both tasks and ISRs
-to send signals to a target task.  The target task and a set of
-signals are specified to the signal_send directive.  The sending
+The @code{@value{DIRPREFIX}signal_send} directive allows both
+tasks and ISRs to send signals to a target task.  The target task and
+a set of signals are specified to the
+@code{@value{DIRPREFIX}signal_send} directive.  The sending
 of a signal to a task has no effect on the execution state of
 that task.  If the task is not the currently running task, then
